Bug 662772 (CVE-2010-2997, CVE-2010-4375, CVE-2010-4376, CVE-2010-4378, CVE-2010-4379, CVE-2010-4382, CVE-2010-4383, CVE-2010-4384, CVE-2010-4385, CVE-2010-4386, CVE-2010-4392) - CVE-2010-4384 HelixPlayer multiple flaws (CVE-2010-2997, CVE-2010-4375, CVE-2010-4378, CVE-2010-4379, CVE-2010-4382, CVE-2010-4383, CVE-2010-4385, CVE-2010-4386, CVE-2010-4392, CVE-2010-4376)
Summary: CVE-2010-4384 HelixPlayer multiple flaws (CVE-2010-2997, CVE-2010-4375, CVE-2...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-2997, CVE-2010-4375, CVE-2010-4376, CVE-2010-4378, CVE-2010-4379, CVE-2010-4382, CVE-2010-4383, CVE-2010-4384, CVE-2010-4385, CVE-2010-4386, CVE-2010-4392
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 662779 662780
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 20:19 UTC by Josh Bressers
Modified: 2019-09-29 12:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-13 10:03:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0981 normal SHIPPED_LIVE Critical: HelixPlayer removal 2010-12-14 20:02:07 UTC

Description Josh Bressers 2010-12-13 20:19:46 UTC
Multiple flaws were fixed in RealPlayer. Some of these flaws may affect
HelixPlayer.

http://service.real.com/realplayer/security/12102010_player/en/

CVE-2010-4384 RealPlayer Malformed RealMedia Media Properties Header Uncontrolled Array Index Vulnerability
CVE-2010-4375 RealPlayer Multi-Rate Audio Heap Overflow Vulnerability
CVE-2010-4376 RealPlayer RTSP GIF Parsing Heap Overflow Vulnerability
CVE-2010-2997 RealPlayer SMIL File Format StreamTitle Heap Corruption Vulnerability
CVE-2010-4378 RealPlayer RV20 Parsing Heap Corruption Vulnerability
CVE-2010-4379 RealPlayer SIPR Heap Overflow Vulnerability
CVE-2010-4382 RealPlayer RealMedia Heap Overflow Vulnerabilities
CVE-2010-4383 RealPlayer RA5 Heap Overflow Vulnerability #2
CVE-2010-4385 RealPlayer SIPR Stream Frame Dimensions Integer Overflow Vulnerability
CVE-2010-4386 RealPlayer RealMedia Memory Heap Corruption Vulnerability
CVE-2010-4392 RealPlayer ImageMap Heap Overflow Vulnerability

Comment 2 errata-xmlrpc 2010-12-14 20:02:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0981 https://rhn.redhat.com/errata/RHSA-2010-0981.html


Note You need to log in before you can comment on or make changes to this bug.